;;; mh-cus-load.el --- automatically extracted custom dependencies
 
;; Copyright (C) 2003, 2004, 2005, 2006 Free Software Foundation, Inc. 
;; Author: Bill Wohler <wohler@newt.com> 
;; Keywords: mail 
;;; Commentary: 
 
;; If you installed MH-E separately from Emacs, you can set up its custom 
;; dependencies using the following in your .emacs file: 
 
;;   (require 'mh-cus-load) 
 
;;; Change Log:

;;
;;; Code:

(put 'mh-hooks 'custom-loads '("mh-e"))
(put 'mh-sending-mail 'custom-loads '("mh-e"))
(put 'mh-sequences 'custom-loads '("mh-e"))
(put 'mh-junk 'custom-loads '("mh-e"))
(put 'mh-thread 'custom-loads '("mh-e"))
(put 'mh-search 'custom-loads '("mh-e"))
(put 'mh-alias 'custom-loads '("mh-e"))
(put 'mh-tool-bar 'custom-loads '("mh-e"))
(put 'mh-letter 'custom-loads '("mh-e"))
(put 'mh-identity 'custom-loads '("mh-e"))
(put 'mh-e 'custom-loads '("mh-e"))
(put 'mh-folder-selection 'custom-loads '("mh-e"))
(put 'mh-speedbar 'custom-loads '("mh-e"))
(put 'mh-show 'custom-loads '("mh-e"))
(put 'mh-inc 'custom-loads '("mh-e"))
(put 'faces 'custom-loads '("mh-e"))
(put 'mh-faces 'custom-loads '("mh-e"))
(put 'mh-scan-line-formats 'custom-loads '("mh-e"))
(put 'mail 'custom-loads '("mh-e"))
(put 'mh-ranges 'custom-loads '("mh-e"))
(put 'mh-folder 'custom-loads '("mh-e"))
;;; These are for handling :version.  We need to have a minimum of
;;; information so `custom-changed-variables' could do its job.  
;;; For both groups and variables we have to set `custom-version'.
;;; For variables we also set the `standard-value' and for groups
;;; `group-documentation' (which is shown in the customize buffer), so
;;; we don't have to load the file containing the group.

;;; `custom-versions-load-alist' is an alist that has as car a version
;;; number and as elts the files that have variables that contain that
;;; version. These files should be loaded before showing the
;;; customization buffer that `customize-changed-options' generates.


;;; This macro is used so we don't modify the information about
;;; variables and groups if it's already set. (We don't know when
;;; mh-cus-load.el is going to be loaded and at that time some of the
;;; files might be loaded and some others might not).
(defmacro custom-put-if-not (symbol propname value)
  `(unless (get ,symbol ,propname)
     (put ,symbol ,propname ,value)))


(defvar custom-versions-load-alist nil
 "For internal use by custom.")

(provide 'mh-cus-load)

;;; Local Variables:
;;; version-control: never
;;; no-byte-compile: t
;;; no-update-autoloads: t
;;; End:
;;; mh-cus-load.el ends here
